using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject;

/// <summary>
///  
/// </summary>
public sealed partial class MainPage : Page
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - MainPage()

    /// <summary>
    /// 
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.selectAllButton.Click   += selectAllButton_Click;
        this.createOrderButton.Click += createOrderButton_Click;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region Select all ư Ŭ óϱ - selectAllButton_Click(sender, e)

    /// <summary>
    /// Select all ư Ŭ óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private void selectAllButton_Click(object sender, RoutedEventArgs e)
    {
        if(this.treeView.SelectionMode == TreeViewSelectionMode.Multiple)
        {
            this.treeView.SelectAll();
        }
    }

    #endregion
    #region Create order ư Ŭ óϱ - createOrderButton_Click(sender, e)

    /// <summary>
    /// Create order ư Ŭ óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private void createOrderButton_Click(object sender, RoutedEventArgs e)
    {
        this.flavorListTextBlock.Text  = string.Empty;
        this.toppingListTextBlock.Text = string.Empty;

        foreach(TreeViewNode treeViewNode in this.treeView.SelectedNodes)
        {
            if(treeViewNode.Parent == null)
            {
                continue;
            }

            if(treeViewNode.Parent.Content?.ToString() == "Flavors")
            {
                this.flavorListTextBlock.Text += treeViewNode.Content + "; ";
            }
            else if(treeViewNode.HasChildren == false)
            {
                this.toppingListTextBlock.Text += treeViewNode.Content + "; ";
            }
        }
    }

    #endregion
}